import type { BuilderContent } from '../../types/builder-content.js';
import type { GetContentOptions } from './types.js';
/**
 * Returns a the first entry that matches the given options.
 */
export declare function fetchOneEntry(options: GetContentOptions): Promise<BuilderContent | null>;
/**
 * @deprecated `getContent` was renamed to `fetchOneEntry`. This is a temporary alias to avoid breaking changes.
 *
 * NOTE: consider using `fetchBuilderProps` instead for easier setup.
 */
export declare const getContent: typeof fetchOneEntry;
type ContentResults = {
    results: BuilderContent[];
};
/**
 * @internal Exported only for testing purposes. Do not use.
 */
export declare const _processContentResult: (options: GetContentOptions, content: ContentResults, url?: URL) => Promise<ContentResults>;
/**
 * Returns a paginated array of entries that match the given options.
 */
export declare function fetchEntries(options: GetContentOptions): Promise<ContentResults | null>;
/**
 * @deprecated `getAllContent` was renamed to `fetchEntries`. This is a temporary alias to avoid breaking changes.
 */
export declare const getAllContent: typeof fetchEntries;
export {};
